Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.search.basic
Class AbstractIndex

    java.lang.Object
      org.crosswire.jsword.book.search.basic.AbstractIndex

All Implemented Interfaces:
  Index

Direct Known Subclasses:
  LuceneIndex

    public abstract class AbstractIndex

extends Object
implements Index

A simple implementation of an Index that provides the set/get for SearchModifier.

Author:
  DM Smith [dmsmith555 at gmail dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`private SearchModifier` | `modifier` How the search is to be modified.

Constructor Summary
`AbstractIndex()`

Method Summary
`SearchModifier` | `getSearchModifier()` Get the current SearchModifier.
`void` | `setSearchModifier(SearchModifier theModifier)` Set any modifier for the current and subsequent search.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.crosswire.jsword.book.search.Index
`find, getKey`

Field Detail

### modifier

    private SearchModifier modifier

  How the search is to be modified.

Constructor Detail

### AbstractIndex

    public AbstractIndex()

Method Detail

### setSearchModifier

    public void setSearchModifier(SearchModifier theModifier)

  Description copied from interface: `Index`
  Set any modifier for the current and subsequent search. Using null will clear the search modifier.

  Specified by:
    `setSearchModifier` in interface `Index`
  Parameters:
    `theModifier` - how to modify the search and its results.

### getSearchModifier

    public SearchModifier getSearchModifier()

  Description copied from interface: `Index`
  Get the current SearchModifier. If there is none then return null.

  Specified by:
    `getSearchModifier` in interface `Index`
  Returns:
    the current search modifier, or null if there is not one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD